# Create a Location Creates a new `Location` object. For further details, including which address fields are required in each country, see the [Manage locations](https://docs.stripe.com/docs/terminal/fleet/locations.md) guide. ## Returns Returns a `Location` object if creation succeeds. ## Parameters - `address` (object, required) The full address of the location. - `address.country` (string, required) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `address.city` (string, required in certain countries) City, district, suburb, town, or village. - `address.line1` (string, required) Address line 1 (e.g., street, PO Box, or company name). - `address.line2` (string, optional) Address line 2 (e.g., apartment, suite, unit, or building). - `address.postal_code` (string, required in certain countries) ZIP or postal code. - `address.state` (string, required in certain countries) State, county, province, or region. - `display_name` (string, required) A name for the location. Maximum length is 1000 characters. - `configuration_overrides` (string, optional) The ID of a configuration that will be used to customize all readers in this location. - `metadata` (object, optional) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`. ```curl curl https://api.stripe.com/v1/terminal/locations \ -u "<>" \ -H "Stripe-Version: 2025-03-31.basil" \ -d display_name="My First Store" \ -d "address[line1]"="1234 Main Street" \ -d "address[city]"="San Francisco" \ -d "address[postal_code]"=94111 \ -d "address[state]"=CA \ -d "address[country]"=US ``` ### Response ```json { "id": "tml_FBakXQG8bQk4Mm", "object": "terminal.location", "address": { "city": "San Francisco", "country": "US", "line1": "1234 Main Street", "line2": "", "postal_code": "94111", "state": "CA" }, "display_name": "My First Store", "livemode": false, "metadata": {} } ```